package com.czg.utils;

import cn.hutool.core.util.StrUtil;

import java.time.LocalDate;

/**
 * @author ww
 * @description
 */
public class CzgStrUtils {

    /**
     * 如果str为空，返回null，否则返回str
     * flex sql查询时 自动忽略null 不忽略''
     */
    public static String getStrOrNull(String str) {
        return StrUtil.isNotBlank(str) ? str : null;
    }


    /**
     * 获取当天是周几
     * @return 周几
     */
    public static String getStrWeek() {
        int dayOfWeek = LocalDate.now().getDayOfWeek().getValue();

        // 定义汉字星期数组（索引0不用，从1开始对应周一到周日）
        String[] chineseWeeks = {"无", "一", "二", "三", "四", "五", "六", "日"};

        return "周" + chineseWeeks[dayOfWeek];
    }
}
